mutation createWorkforce(
  $vendorId: UUID!
  $staffId: UUID!
  $workforceNumber: String!
  $employmentType: WorkforceEmploymentType
) @auth(level: USER) {
  workforce_insert(
    data: {
      vendorId: $vendorId
      staffId: $staffId
      workforceNumber: $workforceNumber
      employmentType: $employmentType
      status: ACTIVE
    }
  )
}

mutation updateWorkforce(
  $id: UUID!
  $workforceNumber: String
  $employmentType: WorkforceEmploymentType
  $status: WorkforceStatus
) @auth(level: USER) {
  workforce_update(
    id: $id
    data: {
      workforceNumber: $workforceNumber
      employmentType: $employmentType
      status: $status
    }
  )
}

mutation deactivateWorkforce(
  $id: UUID!
) @auth(level: USER) {
  workforce_update(
    id: $id
    data: { status: INACTIVE }
  )
}
